← Quanta Magazine

A Powerful New ‘QR Code’ Untangles Math’s Knottiest Knots

强大的新“二维码”解开数学最棘手的难题
2026-04-22  ·  Quanta Magazine  ·  原文

Mathematicians recently invented a new way to tell knots apart: by giving each knot a colorful “QR code.”

数学家最近发明了一种区分结的新方法:给每个结一个彩色的“二维码”。

Dror Bar-Natan, Roland van der Veen; Quanta Magazine

德罗尔·巴尔-纳坦 (Dror Bar-Natan)、罗兰·范德维恩 (Roland van der Veen);广达杂志

From the tangle in your computer cord to the mess your cat made of your knitting basket, knots are everywhere in daily life.

从电脑线的缠结到猫把编织篮弄得一团糟,结在日常生活中无处不在。

They also pervade science, showing up in loops of DNA, intertwined polymer strands, and swirling water currents.

它们还渗透到科学领域,出现在 DNA 环、缠绕的聚合物链和旋转的水流中。

And within pure mathematics, knots are the key to many central questions in topology.

在纯数学中,结是拓扑学中许多核心问题的关键。

Yet knot theorists still struggle with the most basic of questions: how to tell two knots apart.

然而,纽结理论家仍在努力解决最基本的问题:如何区分两个纽结。

It’s hard to decide whether two complicated knots have the same structure just by looking at them.

仅仅通过观察很难判断两个复杂的结是否具有相同的结构。

Even if they appear completely different, you might be able to turn one into the other by moving some strands around.

即使它们看起来完全不同,您也可以通过移动一些线束将其中一种变成另一种。

(To a mathematician, the ends of a knot are always fastened together so that such motions won’t untie it.)

(对于数学家来说,结的两端总是固定在一起,这样这样的动作就不会解开它。)

Over the past century, knot theorists have developed a set of clear, if imperfect, tools for distinguishing knots.

在过去的一个世纪里,绳结理论家开发了一套清晰但不完善的工具来区分绳结。

Called knot invariants, these tools each measure some aspect of a knot — a pattern formed by its interwoven strands, perhaps, or the topology of the space surrounding it.

这些工具被称为结不变量,它们各自测量结的某些方面——可能是由其交织的线形成的图案,或者是结周围空间的拓扑结构。

If you use an invariant to measure two knots and you get two different results, you’ve proved the knots are different.

如果您使用不变量来测量两个结并且得到两个不同的结果,则您已经证明了结是不同的。

But the reverse isn’t always true: If the invariant gives you identical results, the knots may be the same, or they may be different.

但反之亦然:如果不变量给出相同的结果,则结可能相同,也可能不同。

Some invariants are better at telling knots apart than others, but there’s a trade-off: These stronger invariants tend to be hard to calculate.

有些不变量比其他不变量更能区分结,但需要权衡:这些更强的不变量往往难以计算。

“Most invariants are either very strong but impossible to compute, or easy to compute but very weak,” said Daniel Tubbenhauer of the University of Sydney.

悉尼大学的 Daniel Tubbenhauer 表示:“大多数不变量要么非常强但无法计算,要么易于计算但非常弱。”

By the time you’re up to knots whose strands cross each other 15 or 20 times, many invariants start to falter — either they fail to distinguish between many knots, or they’re getting too hard to compute.

当你处理绳子相互交叉 15 或 20 次的结时,许多不变量开始动摇——要么它们无法区分许多结,要么它们变得太难计算。

For most knot invariants, said Dror Bar-Natan of the University of Toronto, “if you say ‘300 crossings’ and then you say the word ‘compute,’ you are in science fiction.”

多伦多大学的 Dror Bar-Natan 表示,对于大多数结不变量,“如果你说‘300 个交叉点’,然后说‘计算’这个词,那么你就陷入了科幻小说中。”

A page from an 1885 paper by Peter Guthrie Tait, in which he distinguishes different knots with 10 crossings.

Peter Guthrie Tait 1885 年发表的一篇论文中的一页,其中他用 10 个交叉点来区分不同的结。

But now, Bar-Natan and Roland van der Veen of the University of Groningen in the Netherlands have come up with a knot invariant that does not require mathematicians to choose between two evils: It is both strong and easy to compute.

但现在,荷兰格罗宁根大学的 Bar-Natan 和 Roland van der Veen 提出了一个结不变量,它不需要数学家在两个邪恶之间进行选择:它既强大又易于计算。

“It seems to be right in the sweet spot where exciting things happen,” said Tubbenhauer, who was not involved in the work.

“这似乎正是令人兴奋的事情发生的最佳时机,”没有参与这项工作的图本豪尔说。

This combination of strength and speed means that mathematicians can probe knots that were previously far out of reach.

这种力量和速度的结合意味着数学家可以探测以前遥不可及的结。

It’s easy to calculate the new invariant for knots with as many as 300 crossings, and Bar-Natan and van der Veen have even calculated some aspects of the invariant for knots with more than 600 crossings.

计算具有多达 300 个交叉点的结的新不变量很容易,Bar-Natan 和 van der Veen 甚至计算了具有超过 600 个交叉点的结的不变量的某些方面。

We in some sense just winged it.

从某种意义上说,我们只是即兴发挥。

Roland van der Veen, University of Groningen

罗兰·范德维恩,格罗宁根大学

“This breakthrough is comparable to a new kind of telescope: one that not only provides much sharper resolution over familiar ranges, but also extends our reach by a factor of 10,” said Gil Kalai of the Hebrew University of Jerusalem.

耶路撒冷希伯来大学的 Gil Kalai 表示:“这一突破堪比一种新型望远镜:它不仅能够在熟悉的范围内提供更清晰的分辨率,而且还能将我们的观测范围扩大 10 倍。”

For each knot, the invariant outputs a colorful hexagonal “QR code,” as symmetric and delicately detailed as a snowflake.

对于每个结,不变量都会输出一个彩色的六边形“QR 码”,其对称且细致,就像雪花一样。

“The output is phenomenally beautiful and unbelievably varied,” said Liam Watson of the University of British Columbia.

不列颠哥伦比亚大学的利亚姆·沃森 (Liam Watson) 表示:“输出结果非常美丽,而且变化令人难以置信。”

“It just seems to come from another world.”

“它似乎来自另一个世界。”

Mathematicians hope that these intricate motifs will point them toward deeper topological features of individual knots.

数学家希望这些复杂的图案能够引导他们了解单个结的更深层次的拓扑特征。

“You immediately start to wonder,” Watson said, “what was it about this given knot that produced this particular pattern?”

“你立刻开始想,”沃森说,“这个给定的结到底是什么产生了这种特殊的图案?”

Consider a game in which you draw a knot and try to color each of its strands red, yellow, or blue.

考虑一个游戏,您画一个结并尝试将每根绳子涂成红色、黄色或蓝色。

The rules are that you must use each color at least once, and that at every crossing, either all three colors appear or only one does.

规则是每种颜色必须至少使用一次,并且在每次交叉时,要么全部三种颜色出现,要么只出现一种。

This is possible for some knots, but not others — for example, you can color a trefoil knot, but not a figure-eight knot.

这对于某些结是可能的,但对于其他结则不然——例如,您可以为三叶结着色,但不能为八字结着色。

No matter how you further tangle any given knot, if it starts out “three-colorable” then it will remain so.

无论你如何进一步纠缠任何给定的结,如果它开始是“三色”,那么它就会保持这种状态。

Likewise, knots that aren’t three-colorable stay that way.

同样,不是三色的结也会保持这种状态。

That makes three-coloring a knot invariant.

这使得三色成为结不变量。

It’s not so hard to calculate whether a knot is three-colorable, but this invariant is not very good at distinguishing between knots.

计算一个结是否是三色并不难,但是这个不变量不太擅长区分结。

It separates knots into just two buckets: three-colorable and not three-colorable.

它将结分为两个桶:可三色的和不可三色的。

If the knots you’re trying to distinguish happen to be in the same bucket, you’re out of luck.

如果你试图区分的结恰好在同一个桶中,那么你就不走运了。

You could improve your invariant by using more colors and rules, and by measuring how many colorings a knot has instead of just whether it can be colored.

您可以通过使用更多的颜色和规则来改进不变量,并通过测量结有多少种颜色而不仅仅是它是否可以着色。

These refinements create stronger invariants, but they also get harder to calculate.

这些改进创造了更强的不变量,但它们也变得更难计算。

This breakthrough is comparable to a new kind of telescope.

这一突破堪比新型望远镜。

Gil Kalai, Hebrew University of Jerusalem

吉尔·卡莱,耶路撒冷希伯来大学

Over the past century, knot theorists have come up with hundreds of invariants.

在过去的一个世纪里,结理论家提出了数百个不变量。

Using these tools, they’ve managed to catalog the more than 2 billion knots with 20 or fewer crossings — a heroic effort, considering the shortage of invariants that are both computable and strong.

使用这些工具,他们成功地以 20 个或更少的交叉点记录了超过 20 亿节的速度——考虑到可计算且强大的不变量的短缺,这是一项英雄般的努力。

When it comes to identifying knots, “the tools we have in 100 years of knot theory are not particularly great,” Tubbenhauer said.

当谈到识别结时,“我们在 100 年来的结理论中所拥有的工具并不是特别好,”图本豪尔说。

This is partly because the strongest knot invariants tend to emerge from the study of profound topological structures within knots.

部分原因是最强的结不变量往往来自对结内深刻拓扑结构的研究。

But few knot theorists are versed in both these theoretical ideas and the computational considerations that go into devising invariants that are easy to calculate.

但很少有纽结理论家精通这些理论思想和设计易于计算的不变量的计算考虑因素。

Bar-Natan and van der Veen, two theoreticians who are also adept programmers, are exceptions to this rule.

Bar-Natan 和 van der Veen 这两位理论家同时也是熟练的程序员,是这条规则的例外。

Their new invariant grew out of deep topological ideas, but for now they’ve mainly focused on creating a fast, strong invariant.

他们的新不变量源于深刻的拓扑思想,但目前他们主要专注于创建一个快速、强大的不变量。

Making computability the priority in this way is “something culturally new” in knot theory, Watson said.

沃森说,以这种方式将可计算性放在首位是结理论中的“文化上的新事物”。

Bar-Natan’s path to the new invariant started two decades ago when he was trying to understand ribbon knots — knots that run along the boundary of a ribbon that passes through itself.

巴-纳坦的新不变量之路始于二十年前,当时他试图理解丝带结——沿着穿过自身的丝带边界延伸的结。

The work led him to revisit a particularly powerful invariant called the Kontsevich integral, which contains many other knot invariants rolled up inside it.

这项工作使他重新审视了一个特别强大的不变量,称为 Kontsevich 积分,其中包含许多其他的结不变量。

Mathematicians have conjectured that this invariant is so strong that it can distinguish between all knots.

数学家推测这个不变量非常强大,可以区分所有的结。

“For about five minutes I was happy,” Bar-Natan said.

“大约有五分钟我很高兴,”巴-纳坦说。

Then he reminded himself that for all practical purposes, the Kontsevich integral is impossible to compute.

然后他提醒自己,出于所有实际目的,康采维奇积分是不可能计算的。

“It exists as an abstract thing, but you cannot actually deduce anything about any real-life knot from it.”

“它作为一个抽象的东西存在,但你实际上无法从中推断出任何现实生活中的结。”

The QR codes of increasingly complicated “square weave” knots.

日益复杂的“方形编织”结的二维码。

Dror Bar-Natan, Roland van der Veen

德罗尔·巴尔-纳坦、罗兰·范德维恩

Bar-Natan set about trying to approximate the Kontsevich integral with more computable invariants that still preserve some of its valuable information.

巴-纳坦开始尝试用更可计算的不变量来近似 Kontsevich 积分,这些不变量仍然保留了一些有价值的信息。

There’s a certain natural sequence of invariants that capture more and more details of the Kontsevich integral.

存在一定的不变量自然序列,可以捕获 Kontsevich 积分的越来越多的细节。

But no one knew how to fully compute these invariants in an efficient way, except for the first member of the sequence.

但除了序列的第一个成员之外,没有人知道如何以有效的方式完全计算这些不变量。

The output is phenomenally beautiful and unbelievably varied.

输出结果异常美丽且变化多端。

It just seems to come from another world.

它似乎来自另一个世界。

Liam Watson, University of British Columbia

利亚姆·沃森,不列颠哥伦比亚大学

At a lecture at Aarhus University in 2015, Bar-Natan distributed a handout describing his goals.

2015 年,在奥尔胡斯大学的一次演讲中,巴-纳坦分发了一份讲义,描述了他的目标。

At the bottom, in large magenta italics, he wrote, “Help Needed!” Van der Veen, who was in the audience, answered the call.

在底部,他用大号洋红色斜体字写道:“需要帮助!”观众席中的范德维恩接听了电话。

Together, the pair tried to figure out how to move beyond the first invariant in the sequence.

两人一起试图找出如何超越序列中的第一个不变量。

They began by looking at that first invariant: the so-called Alexander polynomial, which was discovered in 1923.

他们首先研究第一个不变量:所谓的亚历山大多项式,于 1923 年发现。

In the world of knots, a polynomial converts measurements on a knot into a combination of numbers and variables raised to powers, such as 3 x 7 + 8.

在结的世界中,多项式将结上的测量值转换为数字和变量的幂组合,例如 3 x 7 + 8。

(The Alexander polynomial also involves powers of the reciprocal of x .) Over the past century, mathematicians have come up with dozens of different methods to calculate the Alexander polynomial of a knot.

(亚历山大多项式还涉及 x 的倒数的幂。)在过去的一个世纪中,数学家们提出了数十种不同的方法来计算结的亚历山大多项式。

Bar-Natan and van der Veen set out to generalize one of these methods, which they were eventually able to formulate in the language of car traffic.

巴尔-纳坦和范德维恩着手推广其中一种方法,最终他们能够用汽车交通的语言来阐述这种方法。

Imagine a knot as a one-way highway that you’ve snipped open somewhere so that it has a beginning and an end.

将结想象成一条单向高速公路,您在某处剪开它,使其有起点和终点。

Imagine further that there’s a city between each pair of crossings.

进一步想象一下,每对十字路口之间都有一座城市。

If a car starts at the beginning of the highway, it will drive through each city once before falling off the end.

如果一辆车从高速公路的起点出发,它会在从终点掉下来之前穿过每个城市一次。

To construct the Alexander polynomial, imagine that at each crossing, there’s an optional down ramp from the overpass to the underpass.

为了构造亚历山大多项式,想象一下在每个十字路口,都有一个可选的从立交桥到地下通道的下坡道。

When a car reaches an overpass, there’s some probability — call it x — that the car will take the down ramp instead of the overpass.

当汽车到达立交桥时,有一定的概率(称之为 x)汽车会走下坡道而不是立交桥。

(The actual setup is a bit more complicated, sometimes involving the reciprocal of x .)

(实际设置有点复杂,有时涉及 x 的倒数。)

Now a car won’t necessarily drive through each city exactly once.

现在,汽车不一定会恰好穿过每个城市一次。

Suppose you launch 100 cars in Miami and ask how much traffic will pass through Atlanta.

假设您在迈阿密投放 100 辆汽车,并询问有多少交通量会经过亚特兰大。

Some cars might visit Atlanta once, but others might go through it multiple times or bypass it entirely.

有些汽车可能会访问亚特兰大一次,但其他汽车可能会多次经过或完全绕过它。

The expected amount of traffic through Atlanta can be written as a function of x that captures information about how the strands of the knot wind in and out of each other.

通过亚特兰大的预期交通量可以写成 x 的函数,该函数捕获有关绳结如何相互缠绕和缠绕的信息。

For each pair of cities, you can construct a traffic function.

对于每对城市,您可以构建一个交通函数。

A simple combination of these functions then produces the Alexander polynomial, the first approximation of the Kontsevich integral.

这些函数的简单组合即可生成亚历山大多项式,这是 Kontsevich 积分的第一个近似值。

Bar-Natan and van der Veen thought it might be possible to write down a similar formula for the second step in the sequence of invariants by creating a traffic scenario involving two kinds of cars that take the down ramp with different probabilities (say, x and y ).

Bar-Natan 和 van der Veen 认为,通过创建一个涉及两种汽车以不同概率(例如 x 和 y )下坡道的交通场景,可以为不变量序列的第二步写出类似的公式。

But despite many efforts, they couldn’t figure out a traffic setup that worked.

但尽管付出了很多努力,他们还是无法找到有效的流量设置。

Then one day, they took inspiration from the mathematics of subatomic particles.

然后有一天,他们从亚原子粒子的数学中获得了灵感。

Just as particles can combine or split apart into other particles, Bar-Natan and van der Veen envisioned their two types of cars sometimes coming together to form a third type of vehicle — as if one were being towed by the other.

正如粒子可以结合或分裂成其他粒子一样,巴-纳坦和范德维恩设想他们的两种类型的汽车有时会结合在一起形成第三种类型的车辆 - 就好像一辆车被另一辆车拖着一样。

The two cars would then traverse the highway as a single vehicle.

然后,两辆车将作为一辆车穿过高速公路。

Later, they might split apart again and go their separate ways.

后来,他们可能会再次分开,各走各的路。

Once again, you can calculate how much of the traffic starting in Miami should pass through Atlanta, but this time, you also keep track of the different vehicle types.

您可以再次计算从迈阿密出发的流量应经过亚特兰大的流量,但这一次,您还可以跟踪不同的车辆类型。

The QR codes of several knots that have 300 crossings or more.

具有300个或更多交叉点的多个结的二维码。

Dror Bar-Natan, Roland van der Veen

德罗尔·巴尔-纳坦、罗兰·范德维恩

Bar-Natan and van der Veen felt convinced that they had hit on the right setup, but they still didn’t know how to combine all their traffic functions to directly generate a knot invariant.

Bar-Natan 和 van der Veen 确信他们找到了正确的设置,但他们仍然不知道如何结合所有的流量函数来直接生成结不变量。

What their setup did give them, though, was a feel for the general “shape” such an invariant should have.

然而,他们的设置确实给了他们一种对这种不变量应该具有的一般“形状”的感觉。

So they resorted to an old trick, simply writing down a formula in the correct general shape and then adjusting its coefficients to make it stay invariant even when the strands of the knot got moved around.

因此,他们采用了一个老技巧,简单地以正确的一般形状写下一个公式,然后调整其系数,使其即使在绳结的股线移动时也保持不变。

“We in some sense just winged it,” van der Veen said.

“从某种意义上说,我们只是即兴发挥,”范德维恩说。

The result, a convoluted polynomial in the variables x and y , has left other researchers scratching their heads.

结果是变量 x 和 y 的卷积多项式,让其他研究人员摸不着头脑。

“The fact that you do this complicated thing with the cars and the turnoffs and the probabilities, and the answer that comes out of it will be the same no matter what picture of the knot you took — that’s the amazing thing,” said Zsuzsanna Dancso of the University of Sydney.

悉尼大学的祖萨娜·丹索 (Zsuzsanna Dancso) 表示:“事实上,你用汽车、岔道和概率来做这个复杂的事情,无论你拍的结是什么照片,得出的答案都是一样的——这是令人惊奇的事情。”

“How the heck did they come up with it?”

“他们到底是怎么想出这个办法的?”

While the polynomial looks messy, a computer can calculate it easily, even for knots with hundreds of crossings.

虽然多项式看起来很混乱,但计算机可以轻松计算它,即使对于具有数百个交叉点的结也是如此。

And it is strong: Tubbenhauer computed, for instance, that the invariant uniquely identifies more than 97% of the knots with 18 crossings.

而且它很强大:例如,图本豪尔计算出,该不变量唯一地识别了超过 97% 的具有 18 个交叉点的结。

By comparison, the Jones polynomial, one of the most widely used invariants for cataloging knots, identifies about 42%, and the Alexander polynomial only about 11%.

相比之下,琼斯多项式(最广泛使用的绳结编目不变量之一)识别率约为 42%,而亚历山大多项式仅识别出约 11%。

“I think there’s nothing that comes close to the computability and relative power of this invariant,” Watson said.

“我认为没有什么比这个不变量的可计算性和相对功效更接近的了,”沃森说。

By plotting the coefficients of the polynomial as a sort of heat map, the researchers have created striking visuals — an ornate hexagonal QR code for each knot.

通过将多项式的系数绘制为一种热图,研究人员创建了引人注目的视觉效果——每个结都有一个华丽的六边形二维码。

Two knots with different QR codes are guaranteed to be different knots.

两个具有不同二维码的结保证是不同的结。

Bar-Natan and van der Veen expect that this QR code will have many uses beyond distinguishing between knots.

Bar-Natan 和 van der Veen 预计这个 QR 码除了区分绳结之外还有很多用途。

In a section of their paper called “Stories, Conjectures, and Dreams,” they propose that the QR code might help elucidate a broad array of topological features of knots.

在论文的“故事、猜想和梦想”部分中,他们提出二维码可能有助于阐明结的广泛拓扑特征。

For instance, the hexagon’s diameter, they believe, will put a lower bound on a measure of knot complexity called the knot’s genus (which is also crucial to the study of surfaces).

例如,他们认为,六边形的直径将为结复杂性的测量设置下限,称为结的亏格(这对于表面的研究也至关重要)。

If this proves true, Dancso said, “that means we are going to be much better at calculating the genus of large knots.”

丹索说,如果这一点被证明是正确的,“这意味着我们将能够更好地计算大结的属数。”

Bar-Natan and van der Veen, as well as other researchers, are convinced that the new invariant is equivalent to the second approximation to the Kontsevich integral, which mathematicians call the two-loop polynomial and have been studying for decades.

Bar-Natan 和 van der Veen 以及其他研究人员确信,新的不变量相当于 Kontsevich 积分的第二个近似值,数学家将其称为双环多项式,并且已经研究了数十年。

“I would bet my house” on it, said Lev Rozansky of the University of North Carolina, Chapel Hill, one of the first to study the two-loop polynomial.

北卡罗来纳大学教堂山分校的列夫·罗赞斯基(Lev Rozansky)是最早研究二环多项式的人之一,他说,“我愿意用我的房子打赌”。

In its traditional form, the two-loop polynomial is hard to compute but topologically rich.

在传统形式中,二环多项式很难计算,但拓扑丰富。

So proving this equivalence would instantly confirm much of the topological power that Bar-Natan and van der Veen ascribe to their new invariant.

因此,证明这种等价性将立即证实 Bar-Natan 和 van der Veen 归因于他们的新不变量的大部分拓扑能力。

Even so, the authors hope that they will eventually be able to explain the new invariant in a less complicated way.

即便如此,作者希望他们最终能够以不太复杂的方式解释新的不变量。

“An elementary construction ought to have a simple explanation,” they wrote.

“一个基本的结构应该有一个简单的解释,”他们写道。

In a sense, they feel that they’ve stumbled into the middle of the story.

从某种意义上说,他们觉得自己陷入了故事的中间。

“We are quite unsure about the beginning and the end,” they wrote.

“我们非常不确定开始和结束,”他们写道。

Meanwhile, there’s nothing stopping researchers from trying to create traffic setups with even more cars and variables, to try to capture more and more of the information stored in the Kontsevich integral.

与此同时,没有什么可以阻止研究人员尝试创建包含更多汽车和变量的交通设置,以尝试捕获越来越多存储在 Kontsevich 积分中的信息。

“There’s a whole zoo of similar-type things just waiting for us,” van der Veen said.

范德维恩说:“有一整座动物园里都有类似的东西在等着我们。”

Get highlights of the most important news delivered to your email inbox

获取发送到您的电子邮件收件箱的最重要新闻的摘要

Quanta Magazine moderates comments to facilitate an informed, substantive, civil conversation.

《Quanta》杂志对评论进行审核,以促进知情、实质性、文明的对话。

Abusive, profane, self-promotional, misleading, incoherent or off-topic comments will be rejected.

辱骂、亵渎、自我推销、误导、语无伦次或偏离主题的评论将被拒绝。

Moderators are staffed during regular business hours (New York time) and can only accept comments written in English.

版主在正常工作时间(纽约时间)有工作人员,并且只能接受英文评论。

中文为机器翻译,仅供参考。